## org.plovr
Class JsSourceFile

    java.lang.Object
      org.plovr.AbstractJsInput
          org.plovr.LocalFileJsInput
              org.plovr.JsSourceFile

All Implemented Interfaces:
  SourceFile.Generator, JsInput

    public class JsSourceFile

extends LocalFileJsInput

`JsSourceFile` represents a JavaScript file.

Author:
  bolinfest@gmail.com (Michael Bolin)

Nested Class Summary

Nested classes/interfaces inherited from interface org.plovr.JsInput
`JsInput.CodeWithEtag`

Field Summary

Fields inherited from class org.plovr.AbstractJsInput
`provides, requires`

Method Summary
`String` `getCode()`
`boolean` `supportsEtags()` Whether this input can calculate a stable ETag value for itself.

Methods inherited from class org.plovr.LocalFileJsInput
`equals, getSource, hashCode, hasInputChanged`

Methods inherited from class org.plovr.AbstractJsInput
`calculateEtagFor, getCodeWithEtag, getName, getProvides, getRequires, getTemplateCode, isSoyFile, processProvidesAndRequires, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCode

    public String getCode()

  Specified by:
    `getCode` in interface `SourceFile.Generator`
  Specified by:
    `getCode` in interface `JsInput`
  Specified by:
    `getCode` in class `AbstractJsInput`
  Returns:
    JavaScript code

### supportsEtags

    public boolean supportsEtags()

  Description copied from interface: `JsInput`
  Whether this input can calculate a stable ETag value for itself.

  Specified by:
    `supportsEtags` in interface `JsInput`
  Overrides:
    `supportsEtags` in class `AbstractJsInput`
  See Also:
    `JsInput.getCodeWithEtag()`